org.apache.storm.generated

## Class WorkerResources

- java.lang.Object
- - org.apache.storm.generated.WorkerResources

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<WorkerResources>, org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class WorkerResources
      extends Object
      implements org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>, Serializable, Cloneable, Comparable<WorkerResources>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WorkerResources._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<WorkerResources._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkerResources()`
    `WorkerResources(WorkerResources other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(WorkerResources other)`
    `WorkerResources` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(WorkerResources that)`
    `WorkerResources._Fields` | `fieldForId(int fieldId)`
    `double` | `get_cpu()`
    `double` | `get_mem_off_heap()`
    `double` | `get_mem_on_heap()`
    `int` | `get_resources_size()`
    `Map<String,Double>` | `get_resources()`
    `double` | `get_shared_mem_off_heap()`
    `double` | `get_shared_mem_on_heap()`
    `int` | `get_shared_resources_size()`
    `Map<String,Double>` | `get_shared_resources()`
    `Object` | `getFieldValue(WorkerResources._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_cpu()` Returns true if field cpu is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_mem_off_heap()` Returns true if field mem_off_heap is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_mem_on_heap()` Returns true if field mem_on_heap is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_resources()` Returns true if field resources is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_shared_mem_off_heap()` Returns true if field shared_mem_off_heap is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_shared_mem_on_heap()` Returns true if field shared_mem_on_heap is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_shared_resources()` Returns true if field shared_resources is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(WorkerResources._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_resources(String key, double val)`
    `void` | `put_to_shared_resources(String key, double val)`
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_cpu_isSet(boolean value)`
    `void` | `set_cpu(double cpu)`
    `void` | `set_mem_off_heap_isSet(boolean value)`
    `void` | `set_mem_off_heap(double mem_off_heap)`
    `void` | `set_mem_on_heap_isSet(boolean value)`
    `void` | `set_mem_on_heap(double mem_on_heap)`
    `void` | `set_resources_isSet(boolean value)`
    `void` | `set_resources(Map<String,Double> resources)`
    `void` | `set_shared_mem_off_heap_isSet(boolean value)`
    `void` | `set_shared_mem_off_heap(double shared_mem_off_heap)`
    `void` | `set_shared_mem_on_heap_isSet(boolean value)`
    `void` | `set_shared_mem_on_heap(double shared_mem_on_heap)`
    `void` | `set_shared_resources_isSet(boolean value)`
    `void` | `set_shared_resources(Map<String,Double> shared_resources)`
    `void` | `setFieldValue(WorkerResources._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_cpu()`
    `void` | `unset_mem_off_heap()`
    `void` | `unset_mem_on_heap()`
    `void` | `unset_resources()`
    `void` | `unset_shared_mem_off_heap()`
    `void` | `unset_shared_mem_on_heap()`
    `void` | `unset_shared_resources()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<WorkerResources._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### WorkerResources

          public WorkerResources()

    - #### WorkerResources

          public WorkerResources(WorkerResources other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public WorkerResources deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>`

    - #### get_mem_on_heap

          public double get_mem_on_heap()

    - #### set_mem_on_heap

          public void set_mem_on_heap(double mem_on_heap)

    - #### unset_mem_on_heap

          public void unset_mem_on_heap()

    - #### is_set_mem_on_heap

          public boolean is_set_mem_on_heap()

      Returns true if field mem_on_heap is set (has been assigned a value) and false otherwise

    - #### set_mem_on_heap_isSet

          public void set_mem_on_heap_isSet(boolean value)

    - #### get_mem_off_heap

          public double get_mem_off_heap()

    - #### set_mem_off_heap

          public void set_mem_off_heap(double mem_off_heap)

    - #### unset_mem_off_heap

          public void unset_mem_off_heap()

    - #### is_set_mem_off_heap

          public boolean is_set_mem_off_heap()

      Returns true if field mem_off_heap is set (has been assigned a value) and false otherwise

    - #### set_mem_off_heap_isSet

          public void set_mem_off_heap_isSet(boolean value)

    - #### get_cpu

          public double get_cpu()

    - #### set_cpu

          public void set_cpu(double cpu)

    - #### unset_cpu

          public void unset_cpu()

    - #### is_set_cpu

          public boolean is_set_cpu()

      Returns true if field cpu is set (has been assigned a value) and false otherwise

    - #### set_cpu_isSet

          public void set_cpu_isSet(boolean value)

    - #### get_shared_mem_on_heap

          public double get_shared_mem_on_heap()

    - #### set_shared_mem_on_heap

          public void set_shared_mem_on_heap(double shared_mem_on_heap)

    - #### unset_shared_mem_on_heap

          public void unset_shared_mem_on_heap()

    - #### is_set_shared_mem_on_heap

          public boolean is_set_shared_mem_on_heap()

      Returns true if field shared_mem_on_heap is set (has been assigned a value) and false otherwise

    - #### set_shared_mem_on_heap_isSet

          public void set_shared_mem_on_heap_isSet(boolean value)

    - #### get_shared_mem_off_heap

          public double get_shared_mem_off_heap()

    - #### set_shared_mem_off_heap

          public void set_shared_mem_off_heap(double shared_mem_off_heap)

    - #### unset_shared_mem_off_heap

          public void unset_shared_mem_off_heap()

    - #### is_set_shared_mem_off_heap

          public boolean is_set_shared_mem_off_heap()

      Returns true if field shared_mem_off_heap is set (has been assigned a value) and false otherwise

    - #### set_shared_mem_off_heap_isSet

          public void set_shared_mem_off_heap_isSet(boolean value)

    - #### get_resources_size

          public int get_resources_size()

    - #### put_to_resources

          public void put_to_resources(String key,
                                       double val)

    - #### get_resources

          public Map<String,Double> get_resources()

    - #### set_resources

          public void set_resources(Map<String,Double> resources)

    - #### unset_resources

          public void unset_resources()

    - #### is_set_resources

          public boolean is_set_resources()

      Returns true if field resources is set (has been assigned a value) and false otherwise

    - #### set_resources_isSet

          public void set_resources_isSet(boolean value)

    - #### get_shared_resources_size

          public int get_shared_resources_size()

    - #### put_to_shared_resources

          public void put_to_shared_resources(String key,
                                              double val)

    - #### get_shared_resources

          public Map<String,Double> get_shared_resources()

    - #### set_shared_resources

          public void set_shared_resources(Map<String,Double> shared_resources)

    - #### unset_shared_resources

          public void unset_shared_resources()

    - #### is_set_shared_resources

          public boolean is_set_shared_resources()

      Returns true if field shared_resources is set (has been assigned a value) and false otherwise

    - #### set_shared_resources_isSet

          public void set_shared_resources_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(WorkerResources._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>`

    - #### getFieldValue

          public Object getFieldValue(WorkerResources._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>`

    - #### isSet

          public boolean isSet(WorkerResources._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(WorkerResources that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(WorkerResources other)

      Specified by:
        `compareTo` in interface `Comparable<WorkerResources>`

    - #### fieldForId

          public WorkerResources._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<WorkerResources,WorkerResources._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.